Subject: RE: Compiling netcat under cygwin
From: "Nenad Antic (EAB)" <[email-masked]>
To: "'Bjoern Kahl AG Resy'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Thu, 5 Sep 2002 16:18:33 +0200

Bjoern!

You're the man. Thank you !!!

This solved my problems and resolves me from dealing with the windoze issues that have plagued me for several days.

Best regards,
/Nenad

PS. I might be a good idea to post this patch somewhere on the cygwin site for other poor souls that might need it.

> -----Original Message-----
> From: Bjoern Kahl AG Resy [mailto:[email-masked]]
> Sent: Thursday, September 05, 2002 3:09 PM
> To: Nenad Antic (EAB)
> Cc: [email-masked]'
> Subject: Re: Compiling netcat under cygwin
> 
> 
> 
>  Hallo !
> 
> 
> On Thu, 5 Sep 2002, Nenad Antic (EAB) wrote:
> > I would like to get netcat
> > (http://www.atstake.com/research/tools/nc110.tgz) compiled natively
> > under cygwin. Currently there isn't any appropriate target in
> > netcat's makefile to do this.
> >
> > I do know that there is a Windows NT version available at
> >
> > http://www.atstake.com/research/tools/nc11nt.zip
> >
> > However, when using that version under cygwin netcat behaves a bit
> > funny.
> 
>  [ ... ]
> 
> > Would anybody know how to set up the gcc options so that netcat
> > can compile under cygwin properly? I would be really grateful
> > for this information.
> 
>  Please find the attached patch.
>  unpack the above mentioned tar-file in a empty directory,
>  save the patch in the same directory, then run in that directory
>    patch <netcat-cygwin.patch
>    make cygwin
>  You should find a nc binary after these steps in the directory.
> 
>  Note: I am in no connection to the netcat maintainer, neither
>  native or  cygwin, and I have no plans to maintain a
>  cygwin-version. I just taken 10 minutes to hack this up.
> 
> 
>    Bjoern
> 
> -- 
> +-------------------------------------------------------------
> --------+
> | Dipl.-Phys. Bjoern Kahl +++ AG Embedded Systems and 
> Robotics (RESY) |
> | Informatics Faculty +++ Building 48 +++ University of 
> Kaiserslautern|
> | phone: +49-631-205-2654 +++ www: 
http://resy.informatik.uni-kl.de   |
+---------------------------------------------------------------------+

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/